Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms.inflow.dlq
Class JBossMQDLQHandler

    java.lang.Object
      org.jboss.resource.adapter.jms.inflow.dlq.AbstractDLQHandler
          org.jboss.resource.adapter.jms.inflow.dlq.JBossMQDLQHandler

All Implemented Interfaces:
  DLQHandler, javax.jms.ExceptionListener

Direct Known Subclasses:
  GenericDLQHandler

public class JBossMQDLQHandler
extends AbstractDLQHandler

A DLQ Handler that knows about JBossMQ redelivery properties

Version:
  $Revision: 1.1.2.1 $
Author:
  Adrian Brock

Field Summary
`protected static String` | `JMS_JBOSS_REDELIVERY_COUNT` Properties copied from org.jboss.mq.SpyMessage
`protected static String` | `JMS_JBOSS_REDELIVERY_LIMIT` Properties copied from org.jboss.mq.SpyMessage
`protected int` | `maxResent` The maximum number of resends

Fields inherited from class org.jboss.resource.adapter.jms.inflow.dlq.AbstractDLQHandler
`activation, connection, dlq, log`

Fields inherited from interface org.jboss.resource.adapter.jms.inflow.DLQHandler
`JBOSS_ORIG_DESTINATION, JBOSS_ORIG_MESSAGEID`

Constructor Summary
`JBossMQDLQHandler()`

Method Summary
`protected boolean` | `handleDelivery(javax.jms.Message msg)` Do we handle the message?
`void` | `setup(JmsActivation activation, Context ctx)` Set up the DLQ

Methods inherited from class org.jboss.resource.adapter.jms.inflow.dlq.AbstractDLQHandler
`doSend, getDeliveryMode, getPriority, getTimeToLive, handleRedeliveredMessage, handleSendError, makeWritable, messageDelivered, onException, sendToDLQ, setupDLQConnection, setupDLQDestination, teardown, teardownDLQConnection, teardownDLQDestination, warnDLQ`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JMS_JBOSS_REDELIVERY_COUNT

    protected static final String JMS_JBOSS_REDELIVERY_COUNT

  Properties copied from org.jboss.mq.SpyMessage

  See Also:
    Constant Field Values

### JMS_JBOSS_REDELIVERY_LIMIT

    protected static final String JMS_JBOSS_REDELIVERY_LIMIT

  Properties copied from org.jboss.mq.SpyMessage

  See Also:
    Constant Field Values

### maxResent

    protected int maxResent

  The maximum number of resends

Constructor Detail

### JBossMQDLQHandler

    public JBossMQDLQHandler()

Method Detail

### setup

    public void setup(JmsActivation activation,
                      Context ctx)
               throws Exception

  Description copied from interface: `DLQHandler`
  Set up the DLQ

  Specified by:
    `setup` in interface `DLQHandler`
  Overrides:
    `setup` in class `AbstractDLQHandler`
  Throws:
    `Exception`

### handleDelivery

    protected boolean handleDelivery(javax.jms.Message msg)

  Description copied from class: `AbstractDLQHandler`
  Do we handle the message?

  Specified by:
    `handleDelivery` in class `AbstractDLQHandler`
  Parameters:
    `msg` - the message to handle
  Returns:
    true when we handle it

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.